<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui">
        
	<div class="span6">
		<div class="well">
			<h4>Contas a pagar</h4>
			<h:dataTable value="#{dashboardController.contasAPagar}" var="cp"
				styleClass="table table-striped table-bordered table-condensed texto-pequeno">
				
				<h:column>
					<h:outputLabel value="#{cp.dataLancamento}" >
						<f:convertDateTime pattern="dd/MM/yyyy" />
					</h:outputLabel>
				</h:column>
				
				<h:column>
					<h:outputLabel value="#{cp.descricao}" />
				</h:column>
				<h:column>
					<h:outputLabel value="#{cp.tipoPagamento.nome}" />
				</h:column>
				<h:column>
					<h:outputLabel value="#{cp.todasCategorias}" />
				</h:column>
				<h:column>
					<h:outputLabel value="#{cp.valor}"  style="text-align: right;color: red;">
						<f:convertNumber type="currency" currencySymbol="R$" maxFractionDigits="2" minFractionDigits="2" />
					</h:outputLabel>
				</h:column>
				<h:column>
					<h:commandLink>
						<img width="25" height="25" alt="Clique para marcar como pago" title="Clique para marcar como pago" src="#{request.contextPath}/resources/img/nao_pago.png" />
						<f:ajax listener="#{dashboardController.pago(cp)}" render="@all" />
					</h:commandLink>
				</h:column>
			</h:dataTable>					
		</div>
	</div>
	
</ui:composition>